> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parmanasystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Interface: PublicKeyInfo

Defined in: typescript/src/models/caller.ts:30

A signing public key of the deployment. The response of
GET /keys/{keyId}.

## Properties

### keyId

> `readonly` **keyId**: `string`

Defined in: typescript/src/models/caller.ts:31

***

### algorithm

> `readonly` **algorithm**: `string`

Defined in: typescript/src/models/caller.ts:32

***

### use

> `readonly` **use**: `"sig"`

Defined in: typescript/src/models/caller.ts:33

***

### pem

> `readonly` **pem**: `string`

Defined in: typescript/src/models/caller.ts:38

SPKI PEM. Pass it to the offline verifiers.

***

### jwk?

> `readonly` `optional` **jwk?**: `Record`\<`string`, `unknown`>

Defined in: typescript/src/models/caller.ts:43

The same key as a JSON Web Key, when the algorithm has a JWK form.
